%{!?configargs: %global configargs %{nil}}
%{!?testdir: %global testdir %{buildroot}%{_datadir}/%{name}/tests}

Name: sandia-openshmem_gcc_hfi
Version: 1.4.1
Release: 4
Summary: Sandia OpenSHMEM.

Group: OpenSHMEM
License: BSD
URL: https://github.com/Sandia-OpenSHMEM/SOS
Source0: %{name}-%{version}.tar.gz

%description
Sandia OpenSHMEM.

%package devel
Summary: Development files for Sandia OpenSHMEM
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description devel
Development files for Sandia OpenSHMEM.

%package tests
Summary: Tests programs for Sandia OpenSHMEM
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description tests
Tests programs for Sandia OpenSHMEM

%prep
%setup -q -n %{name}-%{version}

%build
%configure %{configargs}
make %{?_smp_mflags}
# Build tests
make check TESTS=

%install
rm -rf %{buildroot}
%makeinstall
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la
# Prepare tests
install -d %{testdir}/unit
install test/unit/.libs/* %{testdir}/unit
install -d %{testdir}/shmemx
install test/shmemx/.libs/* %{testdir}/shmemx
install -d %{testdir}/apps
install test/apps/.libs/* %{testdir}/apps
install -d %{testdir}/performance/shmem_perf_suite
install test/performance/shmem_perf_suite/.libs/* %{testdir}/performance/shmem_perf_suite
install -d %{testdir}/performance/tests
install test/performance/tests/.libs/* %{testdir}/performance/tests

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/oshrun
%{_libdir}/lib*.so.*
%{_libdir}/pkgconfig/*.pc
%doc LICENSE README NEWS

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man[1-3]/*

%files tests
%defattr(-,root,root)
%{_datadir}/%{name}/tests


%changelog
